//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializepaginationInfo")
inline fun paginationInfo(block: gg.dsepractice.chinese.v1alpha1.PaginationInfoKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.PaginationInfo =
  gg.dsepractice.chinese.v1alpha1.PaginationInfoKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.PaginationInfo.newBuilder()).apply { block() }._build()
object PaginationInfoKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.PaginationInfo.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.PaginationInfo.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.PaginationInfo = _builder.build()

    /**
     * <code>bool has_next_page = 1 [json_name = "hasNextPage"];</code>
     */
    var hasNextPage: kotlin.Boolean
      @JvmName("getHasNextPage")
      get() = _builder.getHasNextPage()
      @JvmName("setHasNextPage")
      set(value) {
        _builder.setHasNextPage(value)
      }
    /**
     * <code>bool has_next_page = 1 [json_name = "hasNextPage"];</code>
     */
    fun clearHasNextPage() {
      _builder.clearHasNextPage()
    }

    /**
     * <code>optional string cursor = 2 [json_name = "cursor"];</code>
     */
    var cursor: kotlin.String
      @JvmName("getCursor")
      get() = _builder.getCursor()
      @JvmName("setCursor")
      set(value) {
        _builder.setCursor(value)
      }
    /**
     * <code>optional string cursor = 2 [json_name = "cursor"];</code>
     */
    fun clearCursor() {
      _builder.clearCursor()
    }
    /**
     * <code>optional string cursor = 2 [json_name = "cursor"];</code>
     * @return Whether the cursor field is set.
     */
    fun hasCursor(): kotlin.Boolean {
      return _builder.hasCursor()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.PaginationInfo.copy(block: gg.dsepractice.chinese.v1alpha1.PaginationInfoKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.PaginationInfo =
  gg.dsepractice.chinese.v1alpha1.PaginationInfoKt.Dsl._create(this.toBuilder()).apply { block() }._build()

